Bug 1032479 - Review Request: perl-Log-Report - Report a problem with exceptions and translation support
Review Request: perl-Log-Report - Report a problem with exceptions and transl...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1032489
  Show dependency treegraph
 
Reported: 2013-11-20 04:40 EST by Petr Pisar
Modified: 2014-01-27 10:35 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Log-Report-0.998-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 10:35:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-11-20 04:40:57 EST
Spec URL: http://ppisar.fedorapeople.org/perl-Log-Report/perl-Log-Report.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Log-Report/perl-Log-Report-0.998-1.fc21.src.rpm
Description:
Handling messages directed to users can be a hassle, certainly when the same
software is used for command-line and in a graphical interfaces (you may not
now how it is used), or has to cope with internationalization; these modules
try to simplify this.

Fedora Account System Username: ppisar
Comment 1 Michael Scherer 2014-01-26 16:13:21 EST
- there is a new version
- you should ask to upstream to add a License file with the tarball

none of this is blocking, so this package is approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 26 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/1032479-perl-Log-
     Report/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/perl5/vendor_perl/Log
     (perl-Log-Log4perl, perl-Log-Message, perl-Log-Message-Simple, perl-Log-
     Dispatch-Array, perl-Log-Dispatch, perl-Log-Dispatchouli)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Log-Report-0.998-1.fc20.noarch.rpm
          perl-Log-Report-Dispatcher-Log4perl-0.998-1.fc20.noarch.rpm
          perl-Log-Report-Dispatcher-LogDispatch-0.998-1.fc20.noarch.rpm
          perl-Log-Report-Extract-0.998-1.fc20.noarch.rpm
          perl-Log-Report-0.998-1.fc20.src.rpm
perl-Log-Report-Extract.noarch: W: no-manual-page-for-binary xgettext-perl
5 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Log-Report-Dispatcher-Log4perl perl-Log-Report pe 
rl-Log-Report-Dispatcher-LogDispatch perl-Log-Report-Extract
perl-Log-Report-Extract.noarch: W: no-manual-page-for-binary xgettext-perl
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Log-Report-Dispatcher-Log4perl (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Log::Log4perl)
    perl(Log::Report)
    perl(Log::Report::Dispatcher)
    perl(Log::Report::Util)
    perl(base)
    perl(strict)
    perl(vars)
    perl(warnings)
    perl-Log-Report

perl-Log-Report (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Devel::GlobalDestruction)
    perl(Encode)
    perl(Exporter)
    perl(Fcntl)
    perl(File::Basename)
    perl(File::Find)
    perl(File::Spec)
    perl(IO::File)
    perl(List::Util)
    perl(Locale::gettext)
    perl(Log::Report)
    perl(Log::Report::Dispatcher)
    perl(Log::Report::Dispatcher::Try)
    perl(Log::Report::Exception)
    perl(Log::Report::Lexicon::Index)
    perl(Log::Report::Lexicon::PO)
    perl(Log::Report::Lexicon::POTcompact)
    perl(Log::Report::Lexicon::Table)
    perl(Log::Report::Message)
    perl(Log::Report::Translator)
    perl(Log::Report::Translator::POT)
    perl(Log::Report::Util)
    perl(POSIX)
    perl(Sys::Syslog)
    perl(base)
    perl(constant)
    perl(locale)
    perl(overload)
    perl(strict)
    perl(vars)
    perl(warnings)

perl-Log-Report-Dispatcher-LogDispatch (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Log::Dispatch)
    perl(Log::Report)
    perl(Log::Report::Dispatcher)
    perl(Log::Report::Util)
    perl(base)
    perl(strict)
    perl(vars)
    perl(warnings)
    perl-Log-Report

perl-Log-Report-Extract (rpmlib, GLIBC filtered):
    /usr/bin/perl
    perl(:MODULE_COMPAT_5.18.2)
    perl(File::Find)
    perl(Getopt::Long)
    perl(Log::Report)
    perl(Log::Report::Extract)
    perl(Log::Report::Lexicon::Index)
    perl(Log::Report::Lexicon::POT)
    perl(PPI)
    perl(base)
    perl(strict)
    perl(vars)
    perl(warnings)
    perl-Log-Report



Provides
--------
perl-Log-Report-Dispatcher-Log4perl:
    perl(Log::Report::Dispatcher::Log4perl)
    perl-Log-Report-Dispatcher-Log4perl

perl-Log-Report:
    perl(Log::Report)
    perl(Log::Report::Die)
    perl(Log::Report::Dispatcher)
    perl(Log::Report::Dispatcher::Callback)
    perl(Log::Report::Dispatcher::File)
    perl(Log::Report::Dispatcher::Perl)
    perl(Log::Report::Dispatcher::Syslog)
    perl(Log::Report::Dispatcher::Try)
    perl(Log::Report::Exception)
    perl(Log::Report::Lexicon::Index)
    perl(Log::Report::Lexicon::MOTcompact)
    perl(Log::Report::Lexicon::PO)
    perl(Log::Report::Lexicon::POT)
    perl(Log::Report::Lexicon::POTcompact)
    perl(Log::Report::Lexicon::Table)
    perl(Log::Report::Message)
    perl(Log::Report::Translator)
    perl(Log::Report::Translator::Gettext)
    perl(Log::Report::Translator::POT)
    perl(Log::Report::Util)
    perl-Log-Report

perl-Log-Report-Dispatcher-LogDispatch:
    perl(Log::Report::Dispatcher::LogDispatch)
    perl-Log-Report-Dispatcher-LogDispatch

perl-Log-Report-Extract:
    perl(Log::Report::Extract)
    perl(Log::Report::Extract::PerlPPI)
    perl(Log::Report::Extract::Template)
    perl-Log-Report-Extract



Source checksums
----------------
http://www.cpan.org/authors/id/M/MA/MARKOV/Log-Report-0.998.tar.gz :
  CHECKSUM(SHA256) this package     : f27fc87541a589c0b5e21a43ced7673844b4df128072877a3f908a1e67724888
  CHECKSUM(SHA256) upstream package : f27fc87541a589c0b5e21a43ced7673844b4df128072877a3f908a1e67724888


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Command line :./try-fedora-review -b 1032479
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Petr Pisar 2014-01-27 04:17:09 EST
New Package SCM Request
=======================
Package Name: perl-Log-Report
Short Description: Report a problem with exceptions and translation support
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2014-01-27 08:12:17 EST
Git done (by process-git-requests).
Comment 4 Petr Pisar 2014-01-27 10:35:52 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.